Summary: NIS binding process
Name: ypbind
Version: 3.0
Release: 1
Copyright: GPL
Group: Networking
Source: ftp://ftp.uni-paderborn.de/pub/linux/local/yp/ypbind-3.0.tar.gz
Source1: ypbind.init
Patch: ypbind-3.0-glibc.diff
ExclusiveArch: alpha

%description
This is a daemon which runs on NIS/YP clients and binds them to a
NIS domain. It must be running for systems based on glibc to behave
as NFS clients.

%prep
%setup -n ypbind
%patch -p1

%build
make OPT_FLAGS="$RPM_OPT_FLAGS"

%install
make install
install -m 755 -o 0 -g 0 $RPM_SOURCE_DIR/ypbind.init /etc/rc.d/init.d

ln -sf ../init.d/ypbind.init /etc/rc.d/rc0.d/K30ypbind
ln -sf ../init.d/ypbind.init /etc/rc.d/rc1.d/K30ypbind
ln -sf ../init.d/ypbind.init /etc/rc.d/rc2.d/S70ypbind
ln -sf ../init.d/ypbind.init /etc/rc.d/rc3.d/S70ypbind
ln -sf ../init.d/ypbind.init /etc/rc.d/rc5.d/S70ypbind
ln -sf ../init.d/ypbind.init /etc/rc.d/rc6.d/K30ypbind

%files
%config /etc/rc.d/init.d/ypbind.init
%config /etc/rc.d/rc0.d/K30ypbind
%config /etc/rc.d/rc1.d/K30ypbind
%config /etc/rc.d/rc2.d/S70ypbind
%config /etc/rc.d/rc3.d/S70ypbind
%config /etc/rc.d/rc5.d/S70ypbind
%config /etc/rc.d/rc6.d/K30ypbind
/usr/sbin/ypbind
/usr/man/man8/ypbind.8
